package com.czg.account.service;

import com.czg.account.dto.AcUserMsgDTO;
import com.czg.account.entity.AcUserMsg;
import com.mybatisflex.core.paginate.Page;
import com.mybatisflex.core.service.IService;

import java.util.List;

/**
 *  服务层。
 *
 * @author gyj
 * @since 2025-12-09
 */
public interface AcUserMsgService extends IService<AcUserMsg> {

    void addUserMsg(AcUserMsg msg);

    Long getUnReadCount();

    Page<AcUserMsgDTO> getUserMsgPage();

    List<AcUserMsgDTO> getMsgListByOrderId(Long orderId);
}
